#
# spec file for package perl-MARC
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MARC
Version:        1.07
Release:        9.1
%define         cpan_name MARC
Summary:        A subclass of MARC.pm to provide XML support
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/perldoc?MARC
Source:         %{cpan_name}-%{version}.tar.bz2
BuildRequires:  perl-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
MARC.pm is a Perl 5 module for reading in, manipulating, and outputting
bibliographic records in the USMARC format. Since it is a Perl module
you use MARC.pm from one of your own Perl scripts. To see what sorts of
conversions are possible you can try out a web interface to MARC.pm which
will allow you to upload MARC files and retrieve the results (for details
see the section below entitled "Web Interface").

However, to get the full functionality you will probably want to install
MARC.pm on your server or PC. MARC.pm can handle both single and batches
of MARC records. The limit on the number of records in a batch is
determined by the memory capacity of the machine you are running. If memory
is an issue for you MARC.pm will allow you to read in records from a batch
gradually. MARC.pm also includes a variety of tools for searching, removing,
and even creating records from scratch.

Types of Conversions:

    * MARC -> ASCII : separates the MARC fields out into separate lines
    * MARC <-> MARCMaker : The MARCMaker format is a format that was developed
      by the Library of Congress for use with their DOS based MARCMaker and
      MARCBreaker utilities. This format is particularly useful for making
      global changes (ie. with a text editor's search and replace) and then
      converting back to MARC (MARC.pm will read properly formatted MARCMaker
      records).
      For more information about the MARCMaker format
      see http://lcweb.loc.gov/marc/marcsoft.html
    * MARC -> HTML : The MARC to HTML conversion creates an HTML file from the
      fields and field labels that you supply. You could possibly use this to
      create HTML bibliographies from a batch of MARC records.
    * MARC <-> XML : XML support is handled by MARC::XML which is a subclass
      of MARC.pm and is also available for download from the CPAN.
    * MARC -> URLS : This conversion will extract URLs from a batch of MARC
      records. The URLs are found in the 856 field, subfield u. The HTML page
      that is generated can then be used with link-checking software to determine
      which URLs need to be repaired. Hopefully library system vendors will soon
      support this activity soon and make this conversion unecessary!

Author:
-------
    Ed Summers <ehs@pobox.com>

%prep
%setup -n %{cpan_name}-%{version}

%build
perl Makefile.PL
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%{__install} -d %{buildroot}%{perl_vendorlib}/MARC
%perl_gen_filelist

%clean
rm -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)
%doc Changes README MANIFEST

%changelog
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Jan 25 2010 lars@linux-schulserver.de
- fix useless use of echo
* Sat Dec 26 2009 lars@linux-schulserver.de
- use autogenerated filelist
* Mon Jul 23 2007 lars@linux-schulserver.de
- initial version 1.07
